@override
  Widget build(BuildContext context) {
    screenSize = MediaQuery.of(context).size.width;
    _textGrNmController.text = graphData.getName();
    return MaterialApp(
        home: Scaffold(
      appBar: AppBar(
          title: const Align(
              alignment: Alignment.topLeft,
              child: Text("Graph name:\n",
                  style: TextStyle(
                    fontSize: 18,
                    color: Colors.white,
                  ))),
          toolbarHeight: 110,
          flexibleSpace: Container(
            color: Colors.green.shade900,
            child: Column(children: <Widget>[
			/*
				     
			*/
            ]),
          ),
          actions: [
            IconButton(
              onPressed: () {
                setState(() {
                  clearDropDownVals();
                  graphData.flushData();
                  clearInputData();
                });
              },
              icon: const Icon(Icons.delete_sweep),
              iconSize: 60,
            ),
          ]),
      body: CustomPaint(
        painter: CurvePainter(
            graphData: graphData,
            intListPath: intListPath,
            dfsAccessTable: dfsAccessTable,
            start: startDot,
            end: endDot,
            op: op),
        child: Align(
          alignment: Alignment.topRight,
          child: ButtonBar(
            mainAxisSize: MainAxisSize.min,
            children: <Widget>[
			/*
				   
			*/
            ],
          ),
        ),
      ),
    ));
  }